/*
 * PPF c++ wrapper
 *
 * Copyright (C) 2008 Alex Meakins
 *
 * 2008-04-09: Alex Meakins <alex.meakins@jet.uk>
 *             initial version
 *
 * This file is part of PPFc++.
 *
 * PPFc++ is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * PPFc++ is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser Public License for more details.
 *
 * You should have received a copy of the GNU Lesser Public License
 * along with PPFc++.  If not, see <http://www.gnu.org/licenses/>.
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 *
 */

#ifndef __PPF_CPLUSPLUS_HPP__
#define __PPF_CPLUSPLUS_HPP__

#include <vector>
#include <string>
#include "ppftypes.hpp"
#include "ppfsystem.hpp"
#include "ppfdatatype.hpp"

using namespace std;

// namespaces ------------------------------------------------------------------

/// Contains the PPF c++ wrapper classes and types.
namespace ppf
{

	// global variables --------------------------------------------------------

	/// PPF database access object
	extern system ppfdb;
}

#endif

